<?php
/**
 * @package     Extly.Components
 * @subpackage  com_autotweet - AutoTweetNG posts content to social channels (Twitter, Facebook, LinkedIn, etc).
 *
 * @author      Prieco S.A. <support@extly.com>
 * @copyright   Copyright (C) 2007 - 2013 Prieco, S.A. All rights reserved.
 * @license     http://www.gnu.org/licenses/gpl-3.0.html GNU/GPL
 * @link        http://www.extly.com http://support.extly.com
 */
// No direct access
defined('_JEXEC') or die('Restricted access');

/**
 * BrowseView
 *
 * @package     Extly.Components
 * @subpackage  com_autotweet
 * @since       1.0
 */
class BrowseView extends FOFViewHtml
{
	/**
	 * Runs before rendering the view template, echoing HTML to put before the
	 * view template's generated HTML
	 *
	 * @return void
	 */
	protected function preRender()
	{
		$view = $this->input->getCmd('view', 'cpanel');
		$task = $this->getModel()->getState('task', 'browse');

		// Don't load the toolbar on CLI

		if (!FOFPlatform::getInstance()->isCli())
		{
			$toolbar = FOFToolbar::getAnInstance($this->input->getCmd('option', 'com_foobar'), $this->config);

			// Channel Restriction
			if ((AUTOTWEETNG_FREE) && (count($this->items) >= 2))
			{
				$this->perms->create = false;
			}
			// ---

			$toolbar->perms = $this->perms;
			$toolbar->renderToolbar($view, $task, $this->input);
		}

		$renderer = $this->getRenderer();

		if (!($renderer instanceof FOFRenderAbstract))
		{
			$this->renderLinkbar();
		}
		else
		{
			$renderer->preRender($view, $task, $this->input, $this->config);
		}
	}
}
