<?php

/**
 * @package     Extly.Library
 * @subpackage  lib_extly - Extly Framework
 *
 * @author      Prieco S.A. <support@extly.com>
 * @copyright   Copyright (C) 2007 - 2012 Prieco, S.A. All rights reserved.
 * @license     http://http://www.gnu.org/licenses/gpl-3.0.html GNU/GPL
 * @link        http://www.extly.com http://support.extly.com
 */
// No direct access
defined('_JEXEC') or die('Restricted access');

/**
 * EParameter
 *
 * @package     Extly.Library
 * @subpackage  HTML
 * @since       11.1
 */
class EParameter
{
	/**
	 * getComponentParam.
	 *
	 * @param   string  $option   Params
	 * @param   string  $key      Params
	 * @param   string  $default  Params
	 *
	 * @return	string.
	 *
	 * @since	1.5
	 */
	public static function getComponentParam($option, $key, $default = null)
	{
		jimport('joomla.application.component.helper');
		$params = JComponentHelper::getParams($option);

		return $params->get($key, $default);
	}

	/**
	 * getTimeZone - Returns the userTime zone if the user has set one, or the global config one
	 *
	 * @return	DateTimeZone.
	 *
	 * @since	1.5
	 */
	public static function getTimeZone()
	{
		$userTz = JFactory::getUser()->getParam('timezone');
		$timeZone = JFactory::getConfig()->get('offset');

		if ($userTz)
		{
			$timeZone = $userTz;
		}

		return new DateTimeZone($timeZone);
	}
}
